<?xml version="1.0" encoding="UTF-8" ?>
<?oracle-xsl-mapper
  <!-- SPECIFICATION OF MAP SOURCES AND TARGETS, DO NOT MODIFY. -->
  <mapSources>
    <source type="WSDL">
      <schema location="../PatientDataService.wsdl"/>
      <rootElement name="PatientDataServiceProcessResponse" namespace="http://stmatthews.hospital.com/patient/PatientDataService"/>
    </source>
    <source type="WSDL">
      <schema location="../HandlePatientDataRequestAndResponse.wsdl"/>
      <rootElement name="PatientDataRequestEvent" namespace="http://stmatthews.hospital.com/events"/>
      <param name="initial.request" />
    </source>
  </mapSources>
  <mapTargets>
    <target type="XSD">
      <schema location="../xsd/PatientDataEvent.xsd"/>
      <rootElement name="PatientDataResponseEvent" namespace="http://stmatthews.hospital.com/events"/>
    </target>
  </mapTargets>
  <!-- GENERATED BY ORACLE XSL MAPPER 11.1.1.2.0(build 091103.1205.1216) AT [FRI JAN 01 12:51:23 CET 2010]. -->
?>
<xsl:stylesheet version="1.0"
                xmlns:tns="http://xmlns.oracle.com/PatientDataService/PatientDataService/HandlePatientDataRequestAndResponse"
                xmlns:xpath20="http://www.oracle.com/XSL/Transform/java/oracle.tip.pc.services.functions.Xpath20"
                xmlns:bpws="http://schemas.xmlsoap.org/ws/2003/03/business-process/"
                xmlns:mhdr="http://www.oracle.com/XSL/Transform/java/oracle.tip.mediator.service.common.functions.MediatorExtnFunction"
                xmlns:oraext="http://www.oracle.com/XSL/Transform/java/oracle.tip.pc.services.functions.ExtFunc"
                xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
                xmlns:dvm="http://www.oracle.com/XSL/Transform/java/oracle.tip.dvm.LookupValue"
                xmlns:hwf="http://xmlns.oracle.com/bpel/workflow/xpath"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:med="http://schemas.oracle.com/mediator/xpath"
                xmlns:ids="http://xmlns.oracle.com/bpel/services/IdentityService/xpath"
                xmlns:xdk="http://schemas.oracle.com/bpel/extension/xpath/function/xdk"
                xmlns:client="http://stmatthews.hospital.com/patient/PatientDataService"
                xmlns:xref="http://www.oracle.com/XSL/Transform/java/oracle.tip.xref.xpath.XRefXPathFunctions"
                xmlns:inp1="http://stmatthews.hospital.com/events"
                xmlns:plnk="http://schemas.xmlsoap.org/ws/2003/05/partner-link/"
                xmlns:xsd="http://www.w3.org/2001/XMLSchema"
                xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/"
                xmlns:ora="http://schemas.oracle.com/xpath/extension"
                xmlns:socket="http://www.oracle.com/XSL/Transform/java/oracle.tip.adapter.socket.ProtocolTranslator"
                xmlns:ldap="http://schemas.oracle.com/xpath/extension/ldap"
                exclude-result-prefixes="xsi xsl tns client inp1 plnk xsd wsdl xpath20 bpws mhdr oraext dvm hwf med ids xdk xref ora socket ldap">
  <xsl:param name="initial.request"/>
  <xsl:template match="/">
    <inp1:PatientDataResponseEvent>
      <inp1:eventGUID>
        <xsl:value-of select="$initial.request/inp1:PatientDataRequestEvent/inp1:eventGUID"/>
      </inp1:eventGUID>
      <inp1:patientData>
        <patientId>
          <xsl:value-of select="/client:PatientDataServiceProcessResponse/patientId"/>
        </patientId>
        <name>
          <xsl:value-of select="/client:PatientDataServiceProcessResponse/name"/>
        </name>
        <initials>
          <xsl:value-of select="/client:PatientDataServiceProcessResponse/initials"/>
        </initials>
        <gender>
          <xsl:value-of select="/client:PatientDataServiceProcessResponse/gender"/>
        </gender>
        <birthDate>
          <xsl:value-of select="/client:PatientDataServiceProcessResponse/birthDate"/>
        </birthDate>
        <xsl:for-each select="/client:PatientDataServiceProcessResponse/client:physicalCharacteristic">
          <client:physicalCharacteristic>
            <dateOfMeasurement>
              <xsl:value-of select="dateOfMeasurement"/>
            </dateOfMeasurement>
            <whatWasMeasured>
              <xsl:value-of select="whatWasMeasured"/>
            </whatWasMeasured>
            <measuredValue>
              <xsl:value-of select="measuredValue"/>
            </measuredValue>
            <unitOfMeasurement>
              <xsl:value-of select="unitOfMeasurement"/>
            </unitOfMeasurement>
          </client:physicalCharacteristic>
        </xsl:for-each>
      </inp1:patientData>
    </inp1:PatientDataResponseEvent>
  </xsl:template>
</xsl:stylesheet>
